Deployments: insert

Requires authorization

Creates a deployment and all of the resources described by the deployment manifest. Try it now.

Request

HTTP request

POST https://www.googleapis.com/deploymentmanager/v2/projects/project/global/deployments

Parameters

Parameter name Value Description
Path parameters
project string The project ID for this request.
Optional query parameters
createPolicy string Sets the policy to use for creating new resources.

Acceptable values are:
  • "ACQUIRE"
  • "CREATE_OR_ACQUIRE" (default)
preview boolean If set to true, creates a deployment and creates "shell" resources but does not actually instantiate these resources. This allows you to preview what your deployment looks like. After previewing a deployment, you can deploy your resources by making a request with the update() method or you can use the cancelPreview() method to cancel the preview altogether. Note that the deployment will still exist after you cancel the preview and you must separately delete this deployment if you want to remove it.

Authorization

This request requires authorization with at least one of the following scopes (read more about authentication and authorization).

Scope
https://www.googleapis.com/auth/cloud-platform
https://www.googleapis.com/auth/ndev.cloudman

Request body

In the request body, supply a Deployments resource.

Response

If successful, this method returns a response body with the following structure:

{
  "kind": "deploymentmanager#operation",
  "id": unsigned long,
  "creationTimestamp": string,
  "name": string,
  "zone": string,
  "clientOperationId": string,
  "operationType": string,
  "targetLink": string,
  "targetId": unsigned long,
  "status": string,
  "statusMessage": string,
  "user": string,